---
search:
  tags:
    - Relations
    - GET
seo:
  description: >-
    Retrieve a specific relation by its ID,… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/relations/{relation_id} endpoint in the
    Management API.
sidebar:
  label: Get a product relation
  badge: GET
title: Get a product relation
type: openapi-operation
---
Retrieve a specific relation by its ID, including all associated products and relation details

`GET /api/v1/{team_slug}/{app_slug}/relations/{relation_id}`

**Responses**

- `200` — Relation
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "direction": "string",
    "id": "string",
    "primary_product_id": "string",
    "products": [
      {
        "description": "string",
        "id": "string",
        "image_url": "string",
        "product_name": "string",
        "product_number": "string",
        "slug": "string"
      }
    ],
    "title": "string",
    "type": "string",
    "type_id": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
